## dbus-python 1.3.2

=== meson_options.txt ===
# Copyright 2022 Collabora Ltd.
# SPDX-License-Identifier: MIT

option(
  'doc',
  type: 'boolean',
  value: false,
  description: 'Enable documentation',
)

option(
  'installed_tests',
  type: 'boolean',
  value: false,
  description: 'Enable "as-installed" testing',
)

option(
  'installed_tests_subdir',
  type: 'string',
  value: '',
  description: 'Suffix to make installed-tests from multiple builds co-installable',
)

option(
  'python',
  type: 'string',
  value: '',
  description: 'Override the Python interpreter to use',
)

option(
  'tests',
  type: 'boolean',
  value: true,
  description: 'Enable unit tests',
)

## dbus-python 0.83.0-1maemo1

=== debian/changelog ===
dbus-python (0.83.0-1maemo1) unstable; urgency=low

  [ Bruno dos Santos de Araujo ]
  * Remove python-docutils and python-epydoc from Build-Depends-Indep
  * Build only python-dbus and python-dbus-dbg

  [ Anderson Lizardo ]
  * Remove version from cdbs build dependency

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Wed, 26 Nov 2008 08:47:20 -0400

dbus-python (0.83.0-1) unstable; urgency=low

  * New upstream release.
  * Use my debian.org address in Uploaders
  * Add doc-base files for the API reference and the tutorial; closes: #473500
  * Only build the documentation once, not once per version

 -- Simon McVittie <smcv@debian.org>  Wed, 23 Jul 2008 17:46:44 +0100

dbus-python (0.82.4-2) unstable; urgency=low

  * Drop python-xml-dbg dep; closes: #470355.
  * Drop python-dbus-dbg.linda-overrides as linda is no more.
  * Only pass --host to configure if DEB_HOST_GNU_TYPE and DEB_BUILD_GNU_TYPE
    differ.

 -- Loic Minier <lool@dooz.org>  Mon, 10 Mar 2008 19:03:37 +0100

dbus-python (0.82.4-1) unstable; urgency=low

  * New upstream version
    - copyright file updated for yet more permissive licensing (all code is
      now MIT, goodbye AFL and GPL)
  * Add XS-Dm-Upload-Allowed: yes so I can upload it in future
  * Standards-Version: 3.7.3.0 (no changes)
  * Move -dbg package to section python as per lintian warning
  * Don't compress epydoc Javascript in -doc package
  * Add lintian/linda overrides for empty directory
    /usr/share/python-support/python-dbus-dbg (python-support seems to require
    it to exist)
  * Fold a non-uploaded release candidate's debian/changelog entry into the
    following entry

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Mon, 10 Dec 2007 22:18:58 +0000

dbus-python (0.82.3-1) unstable; urgency=low

  [ Simon McVittie ]
  * New upstream release.
    - Update debian/copyright for more permissive licensing.
  * Delete .pyc files in source tree in clean target (Closes: #442539).
    Because we're using an out-of-tree build to get the multiple Python
    versions, we can't rely on upstream's "make clean" to do the job.
  * Actually install examples into python-dbus-doc (Closes: #443719).
  * Build a python-dbus-dbg package like in Ubuntu (Closes: #441737).
  * Also delete stale Python 2.5 bytecode in postinst (required in Ubuntu,
    unnecessary but harmless in Debian) to reduce divergence.

  [ Loic Minier ]
  * Use download URL in copyright.

 -- Loic Minier <lool@dooz.org>  Sun, 07 Oct 2007 19:04:36 +0200

dbus-python (0.82.2-1) unstable; urgency=low

  [ Simon McVittie ]
  * New upstream release.
  * Build HTML API documentation, now that epydoc 3.0 beta is in unstable.
    - Split out a python-dbus-doc package with the HTML and examples
    - Build-Depend on python-epydoc (>= 3.0~beta1)
  * Work around minor upstream build bug by using relative path for srcdir
    (this can be reverted for the next upstream release if desired)

  [ Loic Minier ]
  * Wrap build-deps and deps.
  * Add ${misc:Depends}.
  * Add install-clean to .PHONY.
  * Cleanups.
  * Build-dep on autotools-dev for the config.guess and .sub automatic update.
  * Use XS-Python-Version instead of debian/pyversions.
  * Use classical CFLAGS.
  * Add watch file.
  * Add myself to Uploaders.

 -- Loic Minier <lool@dooz.org>  Wed, 01 Aug 2007 23:45:07 +0200

dbus-python (0.82.1-2) unstable; urgency=low

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 11 Jul 2007 22:38:49 +0200

dbus-python (0.82.0-1) unstable; urgency=low

  * New upstream release.

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Tue, 19 Jun 2007 18:08:20 +0100

dbus-python (0.81.1-1) unstable; urgency=low

  * New upstream release.
    - Fixes deadlock in remove_signal_receiver() when following name-owner
      changes (Closes: #426412)
  * Package examples, including those referenced by the tutorial
    (Closes: #416714, #368286)
  * Include the Academic Free License version 2.1, not 2.0, in
    debian/copyright, since that's what the dual license includes.
    Closes: #408372 - the duplicated lines in the GPL header also mentioned
    in that bug have already been fixed upstream.
  * python-defaults now includes 2.5 as a supported version, so this upload
    also Closes: #409754.

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Mon, 04 Jun 2007 14:27:22 +0100

dbus-python (0.81.0-1) unstable; urgency=low

  * New upstream release 0.81.0, the 'series of tubes' release.

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Wed, 09 May 2007 10:18:25 +0100

dbus-python (0.80.2-2) unstable; urgency=low

  * Upload to unstable
  * Merge experimental branch
  * Add Conflicts with gnome-osd (<< 0.12.0) and gajim (<< 0.11.1) which don't
    work correctly with this version

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 09 Apr 2007 22:48:32 +0200

dbus-python (0.80.2-1) experimental; urgency=low

  * New upstream release, fixing numerous memory and reference leaks.
  * Update debian/copyright (some files are now more permissively licensed)
    and also add the actual copyright statements to that file

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Tue, 13 Feb 2007 17:35:12 +0000

dbus-python (0.80.1-1) experimental; urgency=low

  [ Simon McVittie ]
  * New upstream release
    - build system is now autotools
    - install a header file for external mainloops (not bothering with a
      separate -dev package since it's so small)
    - debian/control, debian/rules: build HTML documentation with
      python-docutils
  * Convert debian/rules to do a series of autotools builds, one per version
    (based on debian/rules from pygobject)
  * Drop dependency on libxml2 (no longer needed upstream)
  * Recommend python-gobject (or python-gtk < 2.10 for those with the
    pre-split version)

  [ Sebastian Dröge ]
  * debian/control:
    + Update to use my debian.org mail address

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Mon, 22 Jan 2007 16:59:58 +0000



=== debian/control ===
Source: dbus-python
Section: devel
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Sjoerd Simons <sjoerd@debian.org>,
           Sebastian Dröge <slomo@debian.org>,
           Simon McVittie <smcv@debian.org>,
           Loic Minier <lool@dooz.org>
Build-Depends: cdbs,
               debhelper (>= 5.0.37.2),
               xmlto,
               python-all-dev (>= 2.3.5-11),
               python-all-dbg,
               python-support (>= 0.3),
               libdbus-glib-1-dev (>= 0.71),
               autotools-dev
Build-Depends-Indep: 
Standards-Version: 3.7.3.0
XS-Python-Version: >= 2.4
XS-Dm-Upload-Allowed: yes

Package: python-dbus
Section: python
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}, python (>= 2.5.2)
Recommends: python-gobject | python-gtk (<< 2.10)
Suggests: python-dbus-doc, python-dbus-dbg
Replaces: python2.4-dbus, python2.5-dbus (<< ${binary:Version})
Conflicts: python2.4-dbus, python2.5-dbus (<< ${binary:Version}),
           gnome-osd (<< 0.12.0),
           gajim (<< 0.11.1)
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: simple interprocess messaging system (Python interface)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides a Python interface to D-Bus.
 .
 See the dbus description for more information about D-Bus in general.

Package: python-dbus-dbg
Section: python
Priority: extra
Architecture: any
Depends: python-dbus (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
Description: Debug build of the D-Bus Python interface
 This package provides a version of the python-dbus package built for
 debugging versions of Python.

Package: python-dbus-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: python-dbus
Description: Documentation for the D-Bus Python interface
 This package provides text and HTML documentation, and examples, for the
 python-dbus package.

Package: python2.5-dbus
Architecture: all
Depends: python-dbus (= ${binary:Version})
Description: Python wrappers around D-Bus.
 This package name is now deprecated, please use the python-dbus package
 for developing new software.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright  2002,2003 Colin Walters <walters@verbum.org>
# Copyright  2003 Daniel Stone <daniels@debian.org>
# Copyright  2006 Sjoerd Simons <sjoerd@debian.org>

DEB_PYTHON_SYSTEM := pysupport

include /usr/share/cdbs/1/rules/simple-patchsys.mk

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS += -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)

PYVERS := $(shell pyversions --requested --version debian/control)
PYDEFAULTVER := $(shell pyversions --default --version)

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	CONFIGURE_FLAGS += --build=$(DEB_BUILD_GNU_TYPE)
else
	CONFIGURE_FLAGS += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

CONFIGURE_FLAGS += \
	--prefix=/usr \
	--docdir=/usr/share/doc/deleteme


with_doc := no

ifneq ($(with_doc),yes)
NOPKGS += -Npython-dbus-doc
endif

export DH_OPTIONS = $(NOPKGS)

ifneq ($(shell dh_listpackages -i $(DH_OPTIONS) 2>/dev/null),)
with_indep := yes
endif


# Don't bother building documentation if the Python version is not Debian's
# default. We want to build the documentation exactly once, and the Debian
# default version is as good as any.
build-%/configure-stamp:
	dh_testdir
	mkdir -p build-$*
	case $* in \
		*-dbg) \
			CFLAGS="$(CFLAGS) -g -O0"; \
			export CFLAGS; \
			;; \
	esac; \
	maybe_disable_doc="--disable-html-docs --disable-api-docs"; \
	if test $(PYDEFAULTVER) = $*; then \
		maybe_disable_doc=""; \
	fi; \
	cd build-$* && PYTHON=/usr/bin/python$* ../configure \
		$(CONFIGURE_FLAGS) $$maybe_disable_doc
	touch $@

build-%/build-stamp: build-%/configure-stamp
	dh_testdir
	PYTHON=/usr/bin/python$* $(MAKE) -C build-$*
	touch $@

build: apply-patches $(PYVERS:%=build-%/build-stamp) $(PYVERS:%=build-%-dbg/build-stamp)
	ln -s build-$(PYDEFAULTVER) build-default

install-clean:
	dh_testdir
	dh_testroot
	dh_clean -k

install-%: build-%/build-stamp
	dh_testdir
	dh_testroot
	$(MAKE) -C build-$* install DESTDIR=$(CURDIR)/debian/python-dbus
	# keep a copy of /usr/include/debian-python.h and
	# /usr/lib/pkgconfig/debian-python.pc to verify they match later
	cp debian/python-dbus/usr/include/dbus-1.0/dbus/dbus-python.h debian/tmp-$*.h
	cp debian/python-dbus/usr/lib/pkgconfig/dbus-python.pc debian/tmp-$*.pc

dbg-install-%: build-%-dbg/build-stamp
	dh_testdir
	dh_testroot
	$(MAKE) -C build-$*-dbg install DESTDIR=$(CURDIR)/debian/python-dbus-dbg
	find debian/python-dbus-dbg ! -type d ! -name '*.so' -print0 | xargs -0 rm -f
	find debian/python-dbus-dbg -depth -empty -exec rmdir {} \;

install: build install-clean $(PYVERS:%=install-%) $(PYVERS:%=dbg-install-%)
	rm -f debian/python-dbus/usr/lib/python*/site-packages/*.la
	rm -rf debian/python-dbus/usr/share/doc/deleteme
	# compare installed .pc and .h, asserting that the ones all versions
	# wanted are the same as what we ended up with
	for v in $(PYVERS); do \
		diff --brief debian/python-dbus/usr/include/dbus-1.0/dbus/dbus-python.h \
			debian/tmp-$$v.h || exit 1; \
		diff --brief debian/python-dbus/usr/lib/pkgconfig/dbus-python.pc \
			debian/tmp-$$v.pc || exit 1; \
	done
	rm -f debian/tmp-*.pc debian/tmp-*.h
	for i in $$(find debian/python-dbus-dbg -name '*.so'); do \
		b=$$(basename $$i .so); \
		mv $$i $$(dirname $$i)/$${b}_d.so; \
	done

clean:: reverse-patches
	dh_testdir
	dh_testroot
	rm -Rf debian/tmp-*
	rm -Rf build-*
	-test -f config.sub && \
		test -r /usr/share/misc/config.sub && \
		cp -f /usr/share/misc/config.sub config.sub
	-test -f config.guess && \
		test -r /usr/share/misc/config.guess && \
		cp -f /usr/share/misc/config.guess config.guess
	find dbus -name '*.py[co]' -print0 | xargs -0 rm -f
	dh_clean

ifeq ($(with_indep),yes)

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install -i
	dh_installchangelogs ChangeLog -i
	dh_installdocs -i
	dh_installexamples -i
	dh_compress -i -X.js
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

else
binary-indep:
#do nothing
endif

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install -s
	dh_installdocs -s
	dh_installchangelogs ChangeLog -s
	dh_installexamples -s
	install -d debian/python-dbus-dbg/usr/share/lintian/overrides
	install -m644 debian/python-dbus-dbg.lintian-overrides \
	debian/python-dbus-dbg/usr/share/lintian/overrides/python-dbus-dbg
	rm -rf debian/python-dbus-dbg/usr/share/doc/python-dbus-dbg
	dh_strip -ppython-dbus --dbg-package=python-dbus-dbg
	dh_link -s
	dh_compress -s -X.py -X.js
	dh_fixperms -s
	dh_pysupport -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-clean

## dbus-python 0.84.0

=== debian/changelog ===
dbus-python (0.84.0-3) unstable; urgency=low

  * Drop obsolete recommendation of python-gtk, which hasn't provided the
    GLib main loop since before squeeze. Allow python-gi (also GLib main loop)
    or python-qt4-dbus (Qt main loop) to satisfy the dependency instead
    (Closes: #656230)
  * Move to debhelper 9 compat and use dh

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Jan 2012 20:38:03 +0000

dbus-python (0.84.0-2) unstable; urgency=low

  * Separate build-arch from build-indep, and do an extra build pass with the
    default version of Python to build the documentation
  * Apply patch from Barry Warsaw to switch to dh_python2
    (Closes: #634346, #634859)
  * Mark the current version of python-qt4-dbus as broken by this version
    (assuming that 4.8.3-3 will fix #634860)

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Jul 2011 12:51:22 +0100

dbus-python (0.84.0-1) unstable; urgency=low

  * Merge experimental into unstable
  * Move dbus-python to git
  * New upstream version 0.84.0
  * Standards-Version: 3.9.2 (no changes)

 -- Simon McVittie <smcv@debian.org>  Wed, 25 May 2011 13:06:47 +0100

dbus-python (0.83.2-1) experimental; urgency=low

  * New upstream release
    - explicitly depend on libdbus-1-dev, and use the recommended
      version (from experimental)
  * Standards-Version: 3.9.1
    - add Homepage, Vcs-Svn, Vcs-Browser
    - move versioned Conflicts on gnome-osd, gajim to Breaks
    - put python-dbus-dbg in the debug section
  * Update source format to 3.0 (quilt)
    - drop cdbs dependency, we were only using it for the simple-patch-system
  * Require debhelper 8
    - use dh_prep instead of dh_clean -k
  * Remove now-unused lintian override for package-contains-empty-directory

 -- Simon McVittie <smcv@debian.org>  Thu, 02 Dec 2010 18:11:33 +0000

dbus-python (0.83.1-1) unstable; urgency=low

  * New upstream release

 -- Simon McVittie <smcv@debian.org>  Thu, 18 Feb 2010 18:12:03 +0000

=== debian/control ===
Source: dbus-python
Section: devel
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Sjoerd Simons <sjoerd@debian.org>,
           Sebastian Dröge <slomo@debian.org>,
           Simon McVittie <smcv@debian.org>,
           Loic Minier <lool@dooz.org>
Build-Depends: autoconf,
               automake,
               debhelper (>= 9),
               dh-autoreconf,
               python-all-dbg (>= 2.6.6-3~),
               python-all-dev (>= 2.6.6-3~),
               libdbus-1-dev (>= 1.4),
               libdbus-glib-1-dev (>= 0.71),
               xmlto
Build-Depends-Indep: python-docutils,
                     python-epydoc (>= 3.0~beta1)
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Homepage: http://www.freedesktop.org/wiki/Software/DBusBindings#Python
Vcs-Git: git://anonscm.debian.org/git/pkg-utopia/dbus-python.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-utopia/dbus-python.git

Package: python-dbus
Section: python
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: python-gi | python-gobject-2 | python-qt4-dbus
Suggests: python-dbus-doc, python-dbus-dbg
Replaces: python2.4-dbus
Conflicts: python2.4-dbus
Breaks: gnome-osd (<< 0.12.0),
        gajim (<< 0.11.1),
        python-qt4-dbus (<< 4.8.3-3)
Provides: ${python:Provides}
Description: simple interprocess messaging system (Python interface)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides a Python interface to D-Bus.
 .
 See the dbus description for more information about D-Bus in general.

Package: python-dbus-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python-dbus (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Debug build of the D-Bus Python interface
 This package provides a version of the python-dbus package built for
 debugging versions of Python.

Package: python-dbus-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: python-dbus
Description: Documentation for the D-Bus Python interface
 This package provides text and HTML documentation, and examples, for the
 python-dbus package.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright  2002,2003 Colin Walters <walters@verbum.org>
# Copyright  2003 Daniel Stone <daniels@debian.org>
# Copyright  2006 Sjoerd Simons <sjoerd@debian.org>
# Copyright  2012 Collabora Ltd.

PYVERS := $(shell pyversions --requested --version debian/control)
PYDEFAULTVER := $(shell pyversions --default --version)

FLAVOURS := $(patsubst %,%-dbg,$(PYVERS)) $(PYVERS)

%:
	dh $@ --with python2,autoreconf

override_dh_auto_configure-arch:
	set -e && for x in $(FLAVOURS); do \
		dh_auto_configure \
			--builddirectory=build-$$x \
			-- \
			PYTHON=/usr/bin/python$$x \
			--disable-api-docs \
			--disable-html-docs \
			--libdir=/usr/lib \
			; \
	done
override_dh_auto_configure-indep:
	dh_auto_configure --builddirectory=build-doc

override_dh_auto_build-arch:
	set -e && for x in $(FLAVOURS); do \
		PYTHON=/usr/bin/python$$x \
		dh_auto_build --arch --builddirectory=build-$$x; \
	done
override_dh_auto_build-indep:
	dh_auto_build --indep --builddirectory=build-doc

override_dh_auto_test-arch:
	:
#	set -e && for x in $(PYVERS); do \
#		PYTHON=/usr/bin/python$$x \
#		dh_auto_test --arch --builddirectory=build-$$x; \
#	done
override_dh_auto_test-indep:
	:

override_dh_auto_install-arch:
	set -e && for x in $(PYVERS); do \
		PYTHON=/usr/bin/python$$x \
		dh_auto_install \
			--arch \
			--builddirectory=build-$$x \
			--destdir=debian/tmp \
			; \
		PYTHON=/usr/bin/python$$x-dbg \
		dh_auto_install \
			--arch \
			--builddirectory=build-$$x-dbg \
			--destdir=debian/tmp-dbg \
			; \
		install debian/tmp-dbg/usr/lib/python$$x/dist-packages/_dbus_bindings.so \
			debian/tmp/usr/lib/python$$x/dist-packages/_dbus_bindings_d.so; \
		install debian/tmp-dbg/usr/lib/python$$x/dist-packages/_dbus_glib_bindings.so \
			debian/tmp/usr/lib/python$$x/dist-packages/_dbus_glib_bindings_d.so; \
		rm -rf debian/tmp-dbg; \
	done
# do not install any docs, we copy those from the builddir
override_dh_auto_install-indep:
	:

override_dh_install:
	rm -fr debian/tmp/usr/share/doc/dbus-python
	find debian/tmp -name '*.py[co]' -print0 | xargs -0 rm -f
	find debian/tmp -name '*.la' -print0 | xargs -0 rm -f
	dh_install

override_dh_installdocs-arch:
	dh_installdocs --link-doc=python-dbus -ppython-dbus-dbg
	dh_installdocs --remaining-packages

override_dh_auto_clean:
	dh_auto_clean
	rm -Rf build-* install-2* install-3*
	find . -name '*.py[co]' -print0 | xargs -0 rm -f

override_dh_strip:
	dh_strip --dbg-package=python-dbus-dbg

## dbus-python 1.0.0

=== debian/changelog ===
dbus-python (1.0.0-1ubuntu1) precise; urgency=low

  * Correct package name for python3-pyqt4-dbus in python3-dbus recommends

 -- Scott Kitterman <scott@kitterman.com>  Fri, 27 Jan 2012 10:46:02 -0500

dbus-python (1.0.0-1) UNRELEASED; urgency=low

  * New upstream version 1.0.0
    - increase Python requirement to 2.6
    - build for Python 3 too
    - split python-dbus-dev into a separate package to be shared between
      versions
    - make python-dbus depend on python-dbus-dev for now, to preserve
      historical functionality (but packages which use it, like PyQt, should
      switch to depending on it explicitly)

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Jan 2012 19:07:26 +0000

=== debian/control ===
Source: dbus-python
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Sjoerd Simons <sjoerd@debian.org>,
           Sebastian Dröge <slomo@debian.org>,
           Simon McVittie <smcv@debian.org>,
           Loic Minier <lool@dooz.org>
Build-Depends: autoconf,
               automake,
               debhelper (>= 9),
               dh-autoreconf,
               python-all-dbg (>= 2.6.6-3~),
               python-all-dev (>= 2.6.6-3~),
               python3-all-dbg,
               python3-all-dev,
               libdbus-1-dev (>= 1.4),
               libdbus-glib-1-dev (>= 0.71),
               xmlto
Build-Depends-Indep: python-docutils,
                     python-epydoc (>= 3.0~beta1)
Standards-Version: 3.9.2
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: http://www.freedesktop.org/wiki/Software/DBusBindings#Python
Vcs-Git: git://anonscm.debian.org/git/pkg-utopia/dbus-python.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-utopia/dbus-python.git

Package: python-dbus
Section: python
Architecture: any
# Depends on python-dbus-dev for backwards compatibility, until packages
# are fixed to depend on that directly
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         python-dbus-dev
Recommends: python-gi | python-gobject-2 | python-qt4-dbus
Suggests: python-dbus-doc, python-dbus-dbg
Replaces: python2.4-dbus
Conflicts: python2.4-dbus
Breaks: gnome-osd (<< 0.12.0),
        gajim (<< 0.11.1),
        python-qt4-dbus (<< 4.8.3-3)
Provides: ${python:Provides}
Description: simple interprocess messaging system (Python interface)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides a Python interface to D-Bus.
 .
 See the dbus description for more information about D-Bus in general.

Package: python3-dbus
Section: python
Architecture: any
# Does not have Depends: python-dbus-dev because as a new package, it cannot
# have backwards compatibility concerns
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-gi | python3-pyqt4-dbus
Suggests: python-dbus-doc, python3-dbus-dbg
Provides: ${python3:Provides}
Description: simple interprocess messaging system (Python 3 interface)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides a Python 3 interface to D-Bus.
 .
 See the dbus description for more information about D-Bus in general.

Package: python-dbus-dev
Section: python
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Breaks: python-dbus (<< 1.0),
        python-dbus-common (<< 1.0)
Replaces: python-dbus (<< 1.0),
          python-dbus-common (<< 1.0)
Description: main loop integration development files for python-dbus
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides development files required to compile main-loop
 integration modules for python-dbus, such as dbus.mainloop.qt provided
 by PyQt. It is Python-version-independent: you must also depend on either
 python-dbus or python3-dbus, if required.

Package: python-dbus-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python-dbg,
         python-dbus (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Description: debug build of the D-Bus Python 2 interface
 This package provides a version of the python-dbus package built for
 debugging versions of Python 2, and debug symbols for python-dbus.

Package: python3-dbus-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python3-dbg,
         python3-dbus (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Description: debug build of the D-Bus Python 3 interface
 This package provides a version of the python3-dbus package built for
 debugging versions of Python 3, and debug symbols for python3-dbus.

Package: python-dbus-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: python-dbus | python3-dbus
Description: Documentation for the D-Bus Python interface
 This package provides text and HTML documentation, and examples, for the
 python-dbus and python3-dbus packages.

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,10 @@
 # Copyright  2012 Collabora Ltd.
 
 PYVERS := $(shell pyversions --requested --version debian/control)
+PY3VERS := $(shell py3versions --requested --version debian/control)
 PYDEFAULTVER := $(shell pyversions --default --version)
 
-FLAVOURS := $(patsubst %,%-dbg,$(PYVERS)) $(PYVERS)
+FLAVOURS := $(patsubst %,%-dbg,$(PYVERS) $(PY3VERS)) $(PYVERS) $(PY3VERS)
 
 %:
 	dh $@ --with python2,autoreconf
@@ -36,7 +37,7 @@
 
 override_dh_auto_test-arch:
 	:
-#	set -e && for x in $(PYVERS); do \
+#	set -e && for x in $(PYVERS) $(PY3VERS); do \
 #		PYTHON=/usr/bin/python$$x \
 #		dh_auto_test --arch --builddirectory=build-$$x; \
 #	done
@@ -61,8 +62,32 @@
 			debian/tmp/usr/lib/python$$x/dist-packages/_dbus_bindings_d.so; \
 		install debian/tmp-dbg/usr/lib/python$$x/dist-packages/_dbus_glib_bindings.so \
 			debian/tmp/usr/lib/python$$x/dist-packages/_dbus_glib_bindings_d.so; \
-		rm -rf debian/tmp-dbg; \
 	done
+	set -e && for x in $(PY3VERS); do \
+		PYTHON=/usr/bin/python$$x \
+		dh_auto_install \
+			--arch \
+			--builddirectory=build-$$x \
+			--destdir=debian/tmp \
+			; \
+		so=`/usr/bin/python$$x -c "print(__import__('sysconfig').get_config_var('SO'))"`; \
+		mv debian/tmp/usr/lib/python3/dist-packages/_dbus_bindings.so \
+			debian/tmp/usr/lib/python3/dist-packages/_dbus_bindings$$so; \
+		mv debian/tmp/usr/lib/python3/dist-packages/_dbus_glib_bindings.so \
+			debian/tmp/usr/lib/python3/dist-packages/_dbus_glib_bindings$$so; \
+		PYTHON=/usr/bin/python$$x-dbg \
+		dh_auto_install \
+			--arch \
+			--builddirectory=build-$$x-dbg \
+			--destdir=debian/tmp-dbg \
+			; \
+		so=`/usr/bin/python$$x-dbg -c "print(__import__('sysconfig').get_config_var('SO'))"`; \
+		mv debian/tmp-dbg/usr/lib/python3/dist-packages/_dbus_bindings.so \
+			debian/tmp-dbg/usr/lib/python3/dist-packages/_dbus_bindings$$so; \
+		mv debian/tmp-dbg/usr/lib/python3/dist-packages/_dbus_glib_bindings.so \
+			debian/tmp-dbg/usr/lib/python3/dist-packages/_dbus_glib_bindings$$so; \
+	done
+
 # do not install any docs, we copy those from the builddir
 override_dh_auto_install-indep:
 	:
@@ -75,12 +100,14 @@
 
 override_dh_installdocs-arch:
 	dh_installdocs --link-doc=python-dbus -ppython-dbus-dbg
+	dh_installdocs --link-doc=python3-dbus -ppython3-dbus-dbg
 	dh_installdocs --remaining-packages
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -Rf build-* install-2* install-3*
+	rm -Rf build-* install-2* install-3* debian/tmp-dbg
 	find . -name '*.py[co]' -print0 | xargs -0 rm -f
 
 override_dh_strip:
-	dh_strip --dbg-package=python-dbus-dbg
+	dh_strip --dbg-package=python-dbus-dbg -ppython-dbus -ppython-dbus-dbg
+	dh_strip --dbg-package=python3-dbus-dbg -ppython3-dbus -ppython3-dbus-dbg

## dbus-python 1.1.1

=== debian/changelog ===
dbus-python (1.1.1-1ubuntu3) raring; urgency=low

  * Use the EXT_SUFFIX config var for the extension suffix.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Apr 2013 13:13:16 +0200

dbus-python (1.1.1-1ubuntu2) raring; urgency=low

  * Rebuild to drop python3.2 provides.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Nov 2012 22:59:55 +0000

dbus-python (1.1.1-1ubuntu1) raring; urgency=low

  * merge lp:~barry/ubuntu/quantal/dbus-python/lp846044
    (LP: #846044)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 05 Nov 2012 09:12:51 +0100

dbus-python (1.1.1-1build1) raring; urgency=low

  * No change rebuild to pick up python3.3 support

 -- Scott Kitterman <scott@kitterman.com>  Mon, 22 Oct 2012 13:27:17 -0400

dbus-python (1.1.1-1) unstable; urgency=low

  * New upstream version
    - fixes type-signature guessing when an ObjectPath is given (LP: #1008898)
  * Increase dbus build-dependency to the recommended version, 1.6
  * Include /usr/share/dpkg/default.mk for recommended build flags

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Jun 2012 17:35:50 +0100

dbus-python (1.1.0-1) unstable; urgency=low

  * New upstream release
    - dbus.gobject_service is compatible with 0.x again (Closes: #670516)
  * Fix recommendation for a main loop package: the Python 3 Qt main loop
    glue is python3-dbus.mainloop.qt, not python-qt4-dbus
  * Use dh_python3 (Closes: #672189)
  * Switch variable names in debian/rules to be more like the proposed
    Python package style guide
  * Build-depend on pygi so epydoc can introspect dbus.gi_service
  * Merge from experimental to unstable
  * Remove duplicate Priority from -dev
  * Standards-Version: 3.9.3 (no changes)

 -- Simon McVittie <smcv@debian.org>  Wed, 09 May 2012 16:37:43 +0100

dbus-python (1.0.0-1) experimental; urgency=low

  * New upstream version 1.0.0
    - increase Python requirement to 2.6
    - build for Python 3 too
    - split python-dbus-dev into a separate package to be shared between
      versions
    - make python-dbus depend on python-dbus-dev for now, to preserve
      historical functionality (but packages which use it, like PyQt, should
      switch to depending on it explicitly)

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Jan 2012 21:02:34 +0000

=== debian/control ===
--- 
+++ 
@@ -11,16 +11,19 @@
                automake,
                debhelper (>= 9),
                dh-autoreconf,
+               dpkg-dev (>= 1.16.1),
                python-all-dbg (>= 2.6.6-3~),
                python-all-dev (>= 2.6.6-3~),
+               python-gi,
                python3-all-dbg,
                python3-all-dev,
-               libdbus-1-dev (>= 1.4),
+               python3-gi,
+               libdbus-1-dev (>= 1.6),
                libdbus-glib-1-dev (>= 0.71),
                xmlto
 Build-Depends-Indep: python-docutils,
                      python-epydoc (>= 3.0~beta1)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: http://www.freedesktop.org/wiki/Software/DBusBindings#Python
@@ -61,7 +64,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: python3-gi | python3-pyqt4-dbus
+Recommends: python3-gi | python3-dbus.mainloop.qt
 Suggests: python-dbus-doc, python3-dbus-dbg
 Provides: ${python3:Provides}
 Description: simple interprocess messaging system (Python 3 interface)
@@ -75,7 +78,6 @@
 
 Package: python-dbus-dev
 Section: python
-Priority: optional
 Architecture: all
 Depends: ${misc:Depends}
 Breaks: python-dbus (<< 1.0),

=== debian/rules ===
--- 
+++ 
@@ -4,14 +4,16 @@
 # Copyright  2006 Sjoerd Simons <sjoerd@debian.org>
 # Copyright  2012 Collabora Ltd.
 
-PYVERS := $(shell pyversions --requested --version debian/control)
-PY3VERS := $(shell py3versions --requested --version debian/control)
+include /usr/share/dpkg/default.mk
+
+PYTHON2 := $(shell pyversions --requested --version debian/control)
+PYTHON3 := $(shell py3versions --requested --version debian/control)
 PYDEFAULTVER := $(shell pyversions --default --version)
 
-FLAVOURS := $(patsubst %,%-dbg,$(PYVERS) $(PY3VERS)) $(PYVERS) $(PY3VERS)
+FLAVOURS := $(patsubst %,%-dbg,$(PYTHON2) $(PYTHON3)) $(PYTHON2) $(PYTHON3)
 
 %:
-	dh $@ --with python2,autoreconf
+	dh $@ --with python2,python3,autoreconf
 
 override_dh_auto_configure-arch:
 	set -e && for x in $(FLAVOURS); do \
@@ -37,7 +39,7 @@
 
 override_dh_auto_test-arch:
 	:
-#	set -e && for x in $(PYVERS) $(PY3VERS); do \
+#	set -e && for x in $(PYTHON2) $(PYTHON3); do \
 #		PYTHON=/usr/bin/python$$x \
 #		dh_auto_test --arch --builddirectory=build-$$x; \
 #	done
@@ -45,7 +47,7 @@
 	:
 
 override_dh_auto_install-arch:
-	set -e && for x in $(PYVERS); do \
+	set -e && for x in $(PYTHON2); do \
 		PYTHON=/usr/bin/python$$x \
 		dh_auto_install \
 			--arch \
@@ -63,14 +65,14 @@
 		install debian/tmp-dbg/usr/lib/python$$x/dist-packages/_dbus_glib_bindings.so \
 			debian/tmp/usr/lib/python$$x/dist-packages/_dbus_glib_bindings_d.so; \
 	done
-	set -e && for x in $(PY3VERS); do \
+	set -e && for x in $(PYTHON3); do \
 		PYTHON=/usr/bin/python$$x \
 		dh_auto_install \
 			--arch \
 			--builddirectory=build-$$x \
 			--destdir=debian/tmp \
 			; \
-		so=`/usr/bin/python$$x -c "print(__import__('sysconfig').get_config_var('SO'))"`; \
+		so=`/usr/bin/python$$x -c "print(__import__('sysconfig').get_config_var('EXT_SUFFIX'))"`; \
 		mv debian/tmp/usr/lib/python3/dist-packages/_dbus_bindings.so \
 			debian/tmp/usr/lib/python3/dist-packages/_dbus_bindings$$so; \
 		mv debian/tmp/usr/lib/python3/dist-packages/_dbus_glib_bindings.so \
@@ -81,7 +83,7 @@
 			--builddirectory=build-$$x-dbg \
 			--destdir=debian/tmp-dbg \
 			; \
-		so=`/usr/bin/python$$x-dbg -c "print(__import__('sysconfig').get_config_var('SO'))"`; \
+		so=`/usr/bin/python$$x-dbg -c "print(__import__('sysconfig').get_config_var('EXT_SUFFIX'))"`; \
 		mv debian/tmp-dbg/usr/lib/python3/dist-packages/_dbus_bindings.so \
 			debian/tmp-dbg/usr/lib/python3/dist-packages/_dbus_bindings$$so; \
 		mv debian/tmp-dbg/usr/lib/python3/dist-packages/_dbus_glib_bindings.so \

## dbus-python 1.2.0

=== debian/changelog ===
dbus-python (1.2.0-3) unstable; urgency=medium

  * Update Vcs-Browser to use https and cgit
  * python-dbus: stop depending on python-dbus-dev (Closes: #673779)
  * Standards-Version: 3.9.6 (no changes required)
  * Install arch-independent documentation and development files
    with "make install-data", fixing FTBFS in arch-all-only builds
  * Build-depend on dh-python
    - transcode debian/rules to UTF-8 to support this
  * d/control: mention dbus.mainloop.pyqt5 instead of dbus.mainloop.qt.
    Thanks to Dmitry Shachnev. (Part of #802659)
  * d/control: stop mentioning python-gobject-2 as an alternative.
    to python-gi. Thanks to Dmitry Shachnev. (Part of #802659)

 -- Simon McVittie <smcv@debian.org>  Wed, 20 Jan 2016 09:39:43 +0000

dbus-python (1.2.0-2) unstable; urgency=low

  * Canonicalize Vcs-Git
  * Standards-Version: 3.9.4 (no further changes)
  * Automake 1.12.6 changed the default installation directory.
    Force pythondir/pyexecdir instead of taking the default, fixing FTBFS
    (Closes: #710926)

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Jun 2013 18:28:49 +0100

dbus-python (1.2.0-1) unstable; urgency=low

  * Check for sysconfig EXT_SUFFIX (for Python 3.3), falling back to SO if
    not found (for Python 3.2) (Closes: #707139)
  * New upstream release
    - Unicode in exceptions works better (LP: #846044)

 -- Simon McVittie <smcv@debian.org>  Wed, 08 May 2013 08:58:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dbus-python
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Sjoerd Simons <sjoerd@debian.org>,
            Sebastian Dröge <slomo@debian.org>,
            Simon McVittie <smcv@debian.org>,
@@ -11,6 +10,7 @@
                automake,
                debhelper (>= 9),
                dh-autoreconf,
+               dh-python,
                dpkg-dev (>= 1.16.1),
                python-all-dbg (>= 2.6.6-3~),
                python-all-dev (>= 2.6.6-3~),
@@ -23,23 +23,20 @@
                xmlto
 Build-Depends-Indep: python-docutils,
                      python-epydoc (>= 3.0~beta1)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: http://www.freedesktop.org/wiki/Software/DBusBindings#Python
-Vcs-Git: git://anonscm.debian.org/git/pkg-utopia/dbus-python.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-utopia/dbus-python.git
+Vcs-Git: git://anonscm.debian.org/pkg-utopia/dbus-python.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-utopia/dbus-python.git
 
 Package: python-dbus
 Section: python
 Architecture: any
-# Depends on python-dbus-dev for backwards compatibility, until packages
-# are fixed to depend on that directly
 Depends: ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends},
-         python-dbus-dev
-Recommends: python-gi | python-gobject-2 | python-qt4-dbus
+Recommends: python-gi | python-qt4-dbus
 Suggests: python-dbus-doc, python-dbus-dbg
 Replaces: python2.4-dbus
 Conflicts: python2.4-dbus
@@ -59,8 +56,6 @@
 Package: python3-dbus
 Section: python
 Architecture: any
-# Does not have Depends: python-dbus-dev because as a new package, it cannot
-# have backwards compatibility concerns
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
@@ -90,9 +85,10 @@
  terms of complexity.
  .
  This package provides development files required to compile main-loop
- integration modules for python-dbus, such as dbus.mainloop.qt provided
- by PyQt. It is Python-version-independent: you must also depend on either
- python-dbus or python3-dbus, if required.
+ integration modules for python-dbus, such as dbus.mainloop.pyqt5 provided
+ by PyQt. It is Python-version-independent: packages that build-depend
+ on python-dbus-dev should also build-depend on python-dbus,
+ python3-dbus, python-dbus-dbg and/or python3-dbus-dbg.
 
 Package: python-dbus-dbg
 Section: debug

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
-# Copyright  2002,2003 Colin Walters <walters@verbum.org>
-# Copyright  2003 Daniel Stone <daniels@debian.org>
-# Copyright  2006 Sjoerd Simons <sjoerd@debian.org>
-# Copyright  2012 Collabora Ltd.
+# Copyright © 2002,2003 Colin Walters <walters@verbum.org>
+# Copyright © 2003 Daniel Stone <daniels@debian.org>
+# Copyright © 2006 Sjoerd Simons <sjoerd@debian.org>
+# Copyright © 2012 Collabora Ltd.
 
 include /usr/share/dpkg/default.mk
 
@@ -27,7 +27,12 @@
 			; \
 	done
 override_dh_auto_configure-indep:
-	dh_auto_configure --builddirectory=build-doc
+	dh_auto_configure \
+		--builddirectory=build-indep \
+		-- \
+		--libdir=/usr/lib \
+		--docdir=/usr/share/doc/python-dbus-doc \
+		${NULL}
 
 override_dh_auto_build-arch:
 	set -e && for x in $(FLAVOURS); do \
@@ -35,7 +40,7 @@
 		dh_auto_build --arch --builddirectory=build-$$x; \
 	done
 override_dh_auto_build-indep:
-	dh_auto_build --indep --builddirectory=build-doc
+	dh_auto_build --indep --builddirectory=build-indep
 
 override_dh_auto_test-arch:
 	:
@@ -53,12 +58,18 @@
 			--arch \
 			--builddirectory=build-$$x \
 			--destdir=debian/tmp \
+			-- \
+			pyexecdir='$${pythondir}' \
+			pythondir='$${libdir}'/python$$x/dist-packages \
 			; \
 		PYTHON=/usr/bin/python$$x-dbg \
 		dh_auto_install \
 			--arch \
 			--builddirectory=build-$$x-dbg \
 			--destdir=debian/tmp-dbg \
+			-- \
+			pyexecdir='$${pythondir}' \
+			pythondir='$${libdir}'/python$$x/dist-packages \
 			; \
 		install debian/tmp-dbg/usr/lib/python$$x/dist-packages/_dbus_bindings.so \
 			debian/tmp/usr/lib/python$$x/dist-packages/_dbus_bindings_d.so; \
@@ -71,8 +82,11 @@
 			--arch \
 			--builddirectory=build-$$x \
 			--destdir=debian/tmp \
+			-- \
+			pyexecdir='$${pythondir}' \
+			pythondir='$${libdir}/python3/dist-packages' \
 			; \
-		so=`/usr/bin/python$$x -c "print(__import__('sysconfig').get_config_var('EXT_SUFFIX'))"`; \
+		so=`/usr/bin/python$$x -c "import sysconfig; print(sysconfig.get_config_var('EXT_SUFFIX') or sysconfig.get_config_var('SO'))"`; \
 		mv debian/tmp/usr/lib/python3/dist-packages/_dbus_bindings.so \
 			debian/tmp/usr/lib/python3/dist-packages/_dbus_bindings$$so; \
 		mv debian/tmp/usr/lib/python3/dist-packages/_dbus_glib_bindings.so \
@@ -82,8 +96,11 @@
 			--arch \
 			--builddirectory=build-$$x-dbg \
 			--destdir=debian/tmp-dbg \
+			-- \
+			pyexecdir='$${pythondir}' \
+			pythondir='$${libdir}/python3/dist-packages' \
 			; \
-		so=`/usr/bin/python$$x-dbg -c "print(__import__('sysconfig').get_config_var('EXT_SUFFIX'))"`; \
+		so=`/usr/bin/python$$x-dbg -c "import sysconfig; print(sysconfig.get_config_var('EXT_SUFFIX') or sysconfig.get_config_var('SO'))"`; \
 		mv debian/tmp-dbg/usr/lib/python3/dist-packages/_dbus_bindings.so \
 			debian/tmp-dbg/usr/lib/python3/dist-packages/_dbus_bindings$$so; \
 		mv debian/tmp-dbg/usr/lib/python3/dist-packages/_dbus_glib_bindings.so \
@@ -92,7 +109,7 @@
 
 # do not install any docs, we copy those from the builddir
 override_dh_auto_install-indep:
-	:
+	make -C build-indep install-data DESTDIR=$(CURDIR)/debian/tmp
 
 override_dh_install:
 	rm -fr debian/tmp/usr/share/doc/dbus-python

=== debian/watch ===
version=3
http://dbus.freedesktop.org/releases/dbus-python/dbus-python-(.*)\.tar\.gz
